.side-menu {
  transition: transform 0.3s ease;
  will-change: transform;
  letter-spacing: 0.02em;
  line-height: 1.5;
  max-height: 100vh;
  overflow-y: auto;
}

/* PC用 */
@media (min-width: 1025px) {
  .side-menu {
    position: static;
    transform: none !important;
  }

  .side-menu.active {
    position: fixed;
    top: 0;
    right: 0;
    width: 26%;
    max-width: 370px;
    z-index: 999;
  }
}

/* SP用 */
@media (max-width: 1024px) {
  .side-menu {
    position: fixed;
    top: 0;
    right: 0;
    width: 80%;
    max-width: 420px;
    background: #fff;
    z-index: 999;
    transform: translateX(100%);
  }
  .side-menu.active {
    transform: translateX(0);
  }
}
@media (max-width: 480px) {
  .side-menu {
    width: 95%;
  }
  .side-menu.active {
    max-width: 500px;
  }
}

.side-menu-title {
  color: #d5b0c0;
  font-size: 23px;
  font-weight: 600;
  white-space: nowrap;
  @media (max-width: 480px) {
    font-size: 20px;
  }
}
.side-menu-title .years {
  font-size: 27px;
  @media (max-width: 480px) {
    font-size: 22px;
  }
}

.bg-pink {
  background: var(--color-accent-back);
}
.side-menu-nav.bg-yellow {
  background: #f5f3ed;
}
.side-menu-list .bg-pink {
  color: var(--color-accent);
}

.bg-yellow .side-menu-list {
  color: #76644a;
}

.side-menu-item.lang-toggle {
  font-family: "Noto Sans JP", sans-serif;
  background: #181818;
  margin: 0;
  @media (max-width: 1024px) {
    height: 107px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
  }
  @media (max-width: 768px) {
    height: 93px;
  }
  @media (max-width: 480px) {
    height: 80px;
  }
  @media (max-width: 375px) {
    height: 71px;
  }
}
.lang-toggle__wrapper {
  display: flex;
  width: 60%;
  border-radius: 50px;
  overflow: hidden;
  margin-left: 6%;
}
.side-menu-item.lang-toggle a {
  display: flex;
  align-items: center;
  justify-content: center;
}
.lang-item {
  padding: 5px 0;
}
.lang-item.active {
  background: #d3c585;
}
.lang-item {
  background: #ffffff;
}
.lang-item:not(.active) {
  color: #cccccc;
}

.side-menu-item.top {
  background: #f1f0f0;
  font-size: 16px;
  padding: 18px 7%;
  margin: 0;
  @media (max-width: 480px) {
    padding: 14px 7%;
  }
}
.side-menu-item .text-red {
  color: #963210;
}
.side-menu-item.archive {
  display: flex;
  gap: 4%;
}
.side-menu-list {
  font-size: 15px;
  font-weight: 700;
  line-height: 1.6;
}
.side-menu-item a {
  display: block;
  width: 100%;
  height: 100%;
  transition: opacity 0.3s ease;
}
.side-menu-item a:hover {
  opacity: 0.7;
}

.side-menu-item.title {
  display: flex;
  gap: 10px;
  align-items: center;
  padding: 8px 0;
  @media (max-width: 1380px) {
    flex-wrap: wrap;
    gap: 0px;
  }
  @media (max-width: 1024px) {
    flex-wrap: nowrap;
  }
}
body.lang-en .side-menu-item.title {
  flex-direction: column-reverse;
  align-items: flex-start;
}
.side-menu-item.title.is-violin {
  flex-direction: column-reverse;
  align-items: flex-start;
}

@media (max-width: 1380px) {
  .side-menu-item.title a {
    order: 2;
  }
  .side-menu-item.title h2 {
    order: 1;
  }
}
@media (max-width: 1280px) {
  .is-violin .side-menu-title {
    font-size: 21px;
  }
}
@media (max-width: 1024px) {
  .side-menu-item.title a {
    width: 120px;
    order: 1;
  }
  .side-menu-item.title h2 {
    order: 2;
  }
  body.lang-en .side-menu-item.title a {
    width: auto;
  }
}
body.lang-en .side-menu-item.title a,
.side-menu-item.title.is-violin a {
  order: 1;
}
body.lang-en .side-menu-item.title h2,
.side-menu-item.title.is-violin h2 {
  order: 2;
}

.side-menu-item {
  padding: 14px 0;
  margin: 0 7%;
  @media (max-width: 480px) {
    font-size: 15px;
    padding: 12px 0;
  }
  @media (max-width: 375px) {
    font-size: 14px;
    padding: 8px 0;
  }
}
.side-menu-nav .bg-pink .side-menu-item {
  border-top: 2px dotted #c59aad;
}
.side-menu-nav.bg-yellow .side-menu-item {
  border-top: 2px dotted #b39c82;
}
.side-menu-nav .side-menu-list .side-menu-item.not-border {
  border-top: none;
}

.side-menu-contact {
  position: relative;
  background: linear-gradient(
    to right,
    #efcc7d 0%,
    #e7c37e 19%,
    #e4c07b 54%,
    #8f6a32 100%
  );
  padding: 8px 7%;
  margin: 0;
  overflow: hidden;
}

.side-menu-contact::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0);
  transition: background 0.3s ease;
  z-index: 0;
}

.side-menu-contact:hover::after {
  background: rgba(255, 255, 255, 0.3);
}

.side-menu-contact a {
  position: relative;
  z-index: 1;
  color: #432f2c;
  font-weight: 500;
  font-size: 21px;
  display: block;
  width: 100%;
  height: 100%;
  text-decoration: none;
}

/* アーカイブボタン */
.cursor-pointer {
  cursor: pointer;
  transition: opacity 0.3s ease;
}
.cursor-pointer:hover {
  opacity: 0.8;
}

.side-menu-nav.bg-yellow {
  position: relative;
  overflow: hidden;
}
.side-menu-item.archive {
  display: flex;
}
.archive-icon {
  color: #76644a;
  font-size: 14px;
  display: inline-block;
  padding-left: 6px;
}

.archive-dropdown {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 220px;
  z-index: 5;
  opacity: 0;
  transform: translateY(100%);
  transition: transform 0.3s ease;
  pointer-events: none;
  @media (max-width: 1440px) {
    width: 53%;
  }
  @media (max-width: 1280px) {
    font-size: 14px;
  }
  @media (max-width: 1024px) {
    width: 60%;
  }
}
.piano {
  background: var(--dept-piano);
}
.cello {
  background: var(--dept-cello);
}
.violin {
  background: var(--dept-violin);
}

.piano,
.cello,
.violin {
  padding: 13px 14px;
  transition: background-color 0.3s ease;
  color: #fff;
  @media (max-width: 1280px) {
    padding: 13px 10px;
  }
}

.violin:hover {
  background: color-mix(in srgb, var(--dept-violin) 80%, white);
}
.cello:hover {
  background: color-mix(in srgb, var(--dept-cello) 80%, white);
}
.piano:hover {
  background: color-mix(in srgb, var(--dept-piano) 80%, white);
}
/* .piano:hover {
  background-color: rgb(149, 130, 174);
}
.cello:hover {
  background-color: rgb(169, 86, 120);
}
.violin:hover {
  background-color: rgb(199, 104, 71);
} */

.archive-dropdown.open {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.side-menu-item.inactive a {
  pointer-events: none;
  color: #aaa !important;
  cursor: not-allowed;
  opacity: 0.6;
}
